Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDoug Schaefer2008-04-22 16:59:25 +0000
committerDoug Schaefer2008-04-22 16:59:25 +0000
commit63ba6a0f2626d198e15403984f4b93761bb4b0ce (patch)
tree8c5ab7fde12f91abaa46b9320c9ac8a6879af0c3
parent1468b6e32536c6b799581c75b734b7f9de382901 (diff)
downloadorg.eclipse.cdt-63ba6a0f2626d198e15403984f4b93761bb4b0ce.tar.gz
org.eclipse.cdt-63ba6a0f2626d198e15403984f4b93761bb4b0ce.tar.xz
org.eclipse.cdt-63ba6a0f2626d198e15403984f4b93761bb4b0ce.zip
Fix up dependencies.
-rw-r--r--build/org.eclipse.cdt.gnu.build-feature/feature.xml4
-rw-r--r--debug/org.eclipse.cdt.gnu.debug-feature/feature.xml18
-rw-r--r--releng/org.eclipse.cdt-feature/feature.xml31
-rw-r--r--releng/org.eclipse.cdt.platform-feature/feature.xml38
4 files changed, 62 insertions, 29 deletions
diff --git a/build/org.eclipse.cdt.gnu.build-feature/feature.xml b/build/org.eclipse.cdt.gnu.build-feature/feature.xml
index 49d57b97fb..ddcedf035c 100644
--- a/build/org.eclipse.cdt.gnu.build-feature/feature.xml
+++ b/build/org.eclipse.cdt.gnu.build-feature/feature.xml
@@ -17,4 +17,8 @@
[Enter License Description here.]
</license>
+ <requires>
+ <import feature="org.eclipse.cdt.platform" version="5.0.0"/>
+ </requires>
+
</feature>
diff --git a/debug/org.eclipse.cdt.gnu.debug-feature/feature.xml b/debug/org.eclipse.cdt.gnu.debug-feature/feature.xml
index b7bff67b01..2880b26f2d 100644
--- a/debug/org.eclipse.cdt.gnu.debug-feature/feature.xml
+++ b/debug/org.eclipse.cdt.gnu.debug-feature/feature.xml
@@ -17,6 +17,24 @@
[Enter License Description here.]
</license>
+ <requires>
+ <import plugin="org.eclipse.cdt.debug.core" version="5.0.0" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.debug.core" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.cdt.core" version="5.0.0" match="compatible"/>
+ <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.cdt.debug.mi.core" version="5.0.0" match="compatible"/>
+ <import plugin="org.eclipse.cdt.debug.ui" version="5.0.0" match="compatible"/>
+ <import plugin="org.eclipse.cdt.ui" version="5.0.0" match="compatible"/>
+ <import plugin="org.eclipse.debug.ui" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.console" version="3.1.100" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.expressions" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.variables" version="3.1.100" match="compatible"/>
+ </requires>
+
<plugin
id="org.eclipse.cdt.debug.mi.core"
download-size="0"
diff --git a/releng/org.eclipse.cdt-feature/feature.xml b/releng/org.eclipse.cdt-feature/feature.xml
index aa892f343a..36db919da1 100644
--- a/releng/org.eclipse.cdt-feature/feature.xml
+++ b/releng/org.eclipse.cdt-feature/feature.xml
@@ -35,37 +35,10 @@
version="0.0.0"/>
<requires>
- <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.text" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.core.variables" version="3.1.100" match="compatible"/>
- <import plugin="org.eclipse.core.filebuffers" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.core.filesystem" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.ui.ide" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.views" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.jface.text" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.workbench.texteditor" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.editors" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.forms" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.search" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.compare" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.console" version="3.1.100" match="compatible"/>
<import plugin="org.eclipse.help" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.navigator" version="3.2.0" match="compatible"/>
- <import plugin="com.ibm.icu" version="3.4.0" match="compatible"/>
- <import plugin="org.eclipse.ui.intro" version="3.2.0" match="compatible"/>
<import plugin="org.eclipse.ui.cheatsheets" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.debug.core" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.workbench.texteditor" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.editors" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.debug.ui" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.core.expressions" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ltk.core.refactoring" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ltk.ui.refactoring" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.intro" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.intro.universal"/>
</requires>
<plugin
diff --git a/releng/org.eclipse.cdt.platform-feature/feature.xml b/releng/org.eclipse.cdt.platform-feature/feature.xml
index f0816d3053..04388dd08a 100644
--- a/releng/org.eclipse.cdt.platform-feature/feature.xml
+++ b/releng/org.eclipse.cdt.platform-feature/feature.xml
@@ -17,6 +17,44 @@
[Enter License Description here.]
</license>
+ <requires>
+ <import plugin="org.eclipse.ui.intro" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.cheatsheets" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.variables" version="3.1.100" match="compatible"/>
+ <import plugin="org.eclipse.core.filebuffers" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.filesystem" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.ltk.core.refactoring" version="3.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.debug.core" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.filesystem" version="1.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.workbench.texteditor" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.editors" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.debug.ui" version="3.3.100" match="compatible"/>
+ <import plugin="org.eclipse.debug.core" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.console" version="3.1.100" match="compatible"/>
+ <import plugin="org.eclipse.ui.views" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.expressions"/>
+ <import plugin="org.eclipse.debug.ui" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.compare" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.workbench.texteditor" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.editors" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.forms" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.search" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.help" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.navigator" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ltk.ui.refactoring" version="3.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.ui.navigator.resources" version="3.3.100" match="greaterOrEqual"/>
+ <import plugin="com.ibm.icu"/>
+ </requires>
+
<plugin
id="org.eclipse.cdt"
download-size="0"

Back to the top